Swatchdog::Throttle(3pm)

NAME
  Swatchdog::Throttle - Perl extension for throttling and thresholding in swatchdog(1)

SYNOPSIS
  use Swatchdog::Throttle;

  throttle(
           extra_cuts => @array_of_regular_expressions,
           hold_dhms => @DHMS,
           key => 'log'|<regex>|<user defined>,
           log_msg => <message>,
           threshold => <n>,
           time_from => 'realtime'|'timestamp',
           time_regex => <regex>,
          );

SWATCH SYNTAX
  throttle threshold=<n>,\
           delay=<hours>:<minutes>:<seconds>,\
           key=log|regex|<regex>

DESCRIPTION

AUTHOR
E. Todd Atkins, todd.atkins@stanfordalumni.org

SEE ALSO
perl(1), swatchdog(1).